<?php
/**
 * CRUD Controller for Mridatas
 **/
class Admin extends MY_Controller {
  /**
   * Default Constructor
   **/
  public function __construct() {
    parent::__construct();
    $this->models = array('mridata');
    $this->_load_models(array(''));
    $this->load->helper(array('form', 'url'));
    if(!$this->tank_auth->is_role('1') && !$this->tank_auth->is_role('9')) {
      redirect();
    }
    
    if(!$this->session->userdata('disclaimer_accepted')){
              redirect('/form/disclaimer');
         }
  }

  public function index() {
    $this->data['objects'] = $this->mridata->all();
  
    $this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
    );
    
    $this->data['title'] = 'MRIApp.com Admin' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'singlepage';
    $this->data['pageheader_h1'] = '';
    $this->data['pageheader_h1_class'] = '';
  }
  
  public function view($id) {
    $this->data['object'] = $this->mridata->getById($id);
    
    $this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
    );
    
    
    $log_data = array(
               'category' => 'Admin',
               'action' => 'Form',
               'label' => 'View',
               'value' => $id,
         );
       
         $this->log_model->logger($log_data);
    
    $this->data['title'] = 'MRIApp.com Admin' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'singlepage';
    $this->data['pageheader_h1'] = '';
    $this->data['pageheader_h1_class'] = '';
  }
  
  public function pdf($id, $print = FALSE) {
    $this->data['object'] = $this->mridata->getById($id);
    
    $log_data = array(
               'category' => 'Admin',
               'action' => 'Form',
               'label' => 'PDF',
               'value' => $id,
         );
       
         $this->log_model->logger($log_data);
    
  
    $this->view = FALSE;
    $this->layout = FALSE;
    
    $this->load->helper('to_pdf');
    
    $html = $this->load->view('admin/pdf', $this->data, TRUE);

    if(!$print) {
      pdf_create($html, 'MRI_Screening_User_'.$id , TRUE);
    }
    else {
      $this->load->view('admin/pdf', $this->data);
    }
  }
  
  public function new_pdf($id, $print = FALSE){
       
       $log_data = array(
               'category' => 'Admin',
               'action' => 'Form',
               'label' => 'PDF',
               'value' => $id,
         );
       
         $this->log_model->logger($log_data);
       
       //right now just get the entry I saved with the answers
       $data = $this->mridata->getById($id);
       
       //decode the json
       $json_data = json_decode($data->json_data);
       
       //var_dump($json_data);
       //exit;
       
       $this->load->helper('to_pdf');
       
       $this->view = FALSE;
       $this->layout = FALSE;
       
       $html = $this->load->view('admin/new_pdf', array('json_data' => $json_data, 'data' => $data), true);

       
       if(!$print) {
          pdf_create($html, 'MRI_Screening_User_'.$id , TRUE);
       }
       else {
          $this->load->view('admin/new_pdf', array('json_data' => $json_data, 'data' => $data));
       }
       
  }
}

