<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Form extends MY_Controller {

  function __construct() {
    parent::__construct();
    $this->models = array('mridata');
    $this->_load_models(array(''));
    $this->load->helper(array('form', 'url'));
  }

     function index($lang='') {
          
         if(!$this->session->userdata('disclaimer_accepted')){
              redirect('/form/disclaimer');
         }
          
         $log_data = array(
               'category' => 'User',
               'action' => 'Form',
               'label' => 'Accessed'
         );
       
         $this->log_model->logger($log_data);
          
         $this->layout = 'inner';
         $this->asides = array(
             'head' => 'head',
             'js_footer' => 'js_footer',
             'login_wrapper' => 'login_wrapper',
             'nav' => 'nav',
             'footer' => 'footer'
         );

         $this->data['title'] = 'Online Application' ;
         $this->data['meta_description'] = '' ;
         $this->data['meta_keywords'] = '' ;
         $this->data['body_id'] = 'how';
         $this->data['page_nav'] = 'how';
         $this->data['pageheader_h1'] = 'Online Form';
         $this->data['pageheader_h1_class'] = 'doubleline';

         //get the json to form the question
         $json_data = json_decode($this->load->view('json_questions', array(), TRUE));
         $json_data_array = array();

         //preprocess the json data
         foreach($json_data->questions as $question){

             if(isset($question->question->follow_up_questions)){

                 //add the question and its follow up
                 $json_data_array[$question->question->screen_number][] = $question;

                 foreach($question->question->follow_up_questions as $fwq){
                     //$json_data_array[$fwq->question->screen_number][] = $fwq;
                     $fwq->question->required = FALSE;//follow up question don't need to be false
                     $json_data_array[$question->question->screen_number][] = $fwq;
                 }
             }
             else{
                 $json_data_array[$question->question->screen_number][] = $question;
             }

         }

         //var_dump($json_data_array);

         $this->data['json_data'] = $json_data_array;
         $this->data['lang'] = $lang;

         if($lang == 'en'){
             $this->data['previous_link_text'] = 'Previous';
             $this->data['next_link_text'] = 'Next';
             $this->data['submit_text'] = 'Submit Questionnaire';
         }
         else if($lang == 'es'){
             $this->data['previous_link_text'] = 'Anterior';
             $this->data['next_link_text'] = 'Siguiente';
             $this->data['submit_text'] = 'Someter Custionario';
         }
         else{
             $this->data['previous_link_text'] = '';
             $this->data['next_link_text'] = '';
             $this->data['submit_text'] = '';
         }


         //set up the audio files
         $this->data['audio_files_english'] = array(
            '01-eng-MRIAPP.mp3', '02-eng-englishespanol.mp3', '03-eng-permanetelectronic.mp3',
            '04-eng-tohavequestionsreadaloud.mp3', '05-eng-warningsandhazards.mp3', '06-eng-patientinformation.mp3', 
            '07-eng-haveyoueverhadmri.mp3', '08-eng-noteligible.mp3', '09-eng-hadproblem.mp3', 
            '10-eng-hadeyeinjurywi1DBB82.mp3', '11-eng-injuredbymetal.mp3', '12-eng-anyreactions.mp3',
            '13-eng-anemiabloodseizures.mp3', '14-eng-pregnantnursing.mp3', '15-eng-gadoliniumshort2.mp3',
            '16-eng-pleaseindicate1.mp3', '17-eng-pleaseindicate2.mp3', '18-eng-pleaseindicate3.mp3',
            '19-eng-pleaseindicate4.mp3', '20-eng-pleaseindicate5.mp3', '21-eng-pleaseindicate6.mp3',
            '22-eng-pleaseindicate7.mp3', '23-eng-importantinstructions.mp3', 
         );

         $this->data['audio_files_spanish'] = array(
            '01-esp-MRIAPP.mp3', '02-esp-englishespanol .mp3', '03-esp-permanetelectronic.mp3',
            '04-esp-tohavequestionsreadaloud.mp3', '05-esp-warningsandhazards.mp3', '06-esp-patientinformation.mp3', 
            '07-esp-haveyoueverhadmri.mp3', '08-esp-noteligible.mp3', '09-esp-hadproblem.mp3', 
            '10-esp-hadeyeinjurywi1DBB82.mp3', '11-esp-injuredbymetal.mp3', '12-esp-anyreactions.mp3',
            '13-esp-anemiabloodseizures.mp3', '14-esp-pregnantnursing.mp3', '15-esp-gadoliniumshort2.mp3',
            '16-esp-pleaseindicate1.mp3', '17-esp-pleaseindicate2.mp3', '18-esp-pleaseindicate3.mp3',
            '19-esp-pleaseindicate4.mp3', '20-esp-pleaseindicate5.mp3', '21-esp-pleaseindicate6.mp3',
            '22-esp-pleaseindicate7.mp3', '23-esp-importantinstructions.mp3', 
         );

     }
  
  

     public function disclaimer(){
          
          $log_data = array(
               'category' => 'User',
               'action' => 'Disclaimer',
               'label' => 'Accessed'
          );
       
          $this->log_model->logger($log_data);
          
          $this->layout = 'inner';
          $this->asides = array(
           'head' => 'head',
           'js_footer' => 'js_footer',
           'login_wrapper' => 'login_wrapper',
           'nav' => 'nav',
           'footer' => 'footer'
           );

         $this->data['title'] = 'How MRIApp.com Works' ;
         $this->data['meta_description'] = '' ;
         $this->data['meta_keywords'] = '' ;
         $this->data['body_id'] = 'why';
         $this->data['page_nav'] = 'why';
         $this->data['pageheader_h1'] = 'Helping MRI Technologists reach their patients more efficiently.';
         $this->data['pageheader_h1_class'] = '';
         
     }
  
     
     public function accept_disclaimer(){
          
          $log_data = array(
               'category' => 'User',
               'action' => 'Disclaimer',
               'label' => 'Accepted'
          );
          
          //set a flag to know they accepted the data
          $this->session->set_userdata('disclaimer_accepted', '1');
       
          $this->log_model->logger($log_data);
          //redirect('/form/index');
          
          if($this->tank_auth->is_role(0)) {//redirect for users
               redirect('form/index');
          } else if($this->tank_auth->is_role(1)) {//redirect for admins
               //redirect('admin');
               redirect('admin');
          } else if ($this->tank_auth->is_role(9)) {//redirect for super_admins
               //redirect('admin');
               redirect('admin');
          }
          
     }
     
     
     public function reject_disclaimer(){
          $this->session->unset_userdata('disclaimer_accepted');
          
          $log_data = array(
               'category' => 'User',
               'action' => 'Disclaimer',
               'label' => 'Rejected'

          );
       
          $this->log_model->logger($log_data);
          redirect('/client/logout');
     }
}

/* End of file json.php */
/* Location: ./application/controllers/json.php */
