<?php
/**
 * CRUD Controller for Mridatas
 **/
class Mridatas extends MY_Controller {
  /**
   * Default Constructor
   **/
  public function __construct() {
    parent::__construct();
    $this->models = array('mridata');
    $this->_load_models(array(''));
    $this->load->helper(array('form', 'url'));
    if(!$this->tank_auth->is_role('9')) {
      redirect();
    }
  }

  /**
   * Create new Mridata
   **/
  public function create() {
    $this->save($this->mridata);
    //send the post off to save for it to be handled there.
    $this->view = 'mridatas/form';
    $this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
    );
  }

  /**
   * Edit Mridata
   **/
  public function edit($id) {
    $this->save(($_POST) ? $this->mridata : $this->mridata->getById($id));
    //send the post of, or edit by the id.
    $this->view = 'mridatas/form';
    $this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
    );
  }

  /**
   * Delete Mridata
   **/
  public function delete($id) {
    $response = null;
    if($_POST && isset($_POST['agree']) && $_POST['agree'] == 'Yes') {
      $response = $this->mridata->delete($id);
      redirect('mridatas');
      return;
    } else {
      if($_POST) {
        redirect('mridatas');
        return;
      }
      $result = $this->mridata->getById($id);
    }

    $this->data['response'] = $response;
    $this->data['object'] = $result;
    $this->data['heading'] = 'Delete';

    $this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
    );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'singlepage';
    $this->data['pageheader_h1'] = '';
    $this->data['pageheader_h1_class'] = '';

  }

  /**
   * List objects of Mridata
   **/
  public function index() {
    $this->data['objects'] = $this->mridata->all();

    $this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
    );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'singlepage';
    $this->data['pageheader_h1'] = 'List'.$this->data['title'];
    $this->data['pageheader_h1_class'] = '';
  }

  /**
   * Save object Mridata
   **/
  private function save($object) {
    $msg = null;
    if($_POST) {
      $this->mridata->populate();
      if($this->mridata->validate()) {
        $this->mridata->save();
        redirect('mridatas');
        return;
      } else {
        $msg = 'Please fill in all required fields';
      }
    }
    $this->data['object'] = $object;
    $this->data['msg'] = $msg;

    $this->view = 'mridatas/form';
    $this->layout = 'inner';
    $this->asides = array(
      'head' => 'head',
      'js_footer' => 'js_footer',
      'login_wrapper' => 'login_wrapper',
      'nav' => 'nav',
      'footer' => 'footer'
    );

    $this->data['title'] = 'How MRIApp.com Works' ;
    $this->data['meta_description'] = '' ;
    $this->data['meta_keywords'] = '' ;
    $this->data['body_id'] = 'singlepage';
    $this->data['pageheader_h1'] =  ($object->id) ? 'Edit'.' '.$this->data['title'] : 'New'.' '.$this->data['title'];
    $this->data['pageheader_h1_class'] = '';
  }

}

