<?php
/**
 * format_day_range
 *
 * @package		CodeIgniter
 * @subpackage	Helpers
 * @category	Helpers
 * @author		TayloeGray
 * @link		
 */

// ------------------------------------------------------------------------

/**
 * Format Day Range
 *
 * Turns 1,2,3 in Mon-Wed
 *
 * @access	public
 * @param	string	series of numbers, with commas  0 equals sunday, 7 equals saturday  (0,2,4 = Sun, Tues, Wed)
 * @return	string
 */

/*****************************************/
function form_str($str)
{
	$req = explode(",",$str);
	//echo "Input String Converted to Array of Requested Days:<br>";
	//foreach ($req as &$value){
		//echo $value . "<br>";	
	//}
	return $req;
}//End function form_str($str)
/*****************************************/
function build_str($arr, $days, $out)
{
	$count = sizeof($arr) - 1;
	//echo "Max Index= " . $count . "<br>";
	$fpos = 0; // First Position in Requested Day Array
	$lpos = $count; // Last Position in Requested Day Array
	$cpos; // Current Position in Requested Day Array
	$npos; // Next Position in Requested Day Array
	$ppos; // Previous Position in Requested Day Array
	$cday; // Current Requested Day
	$pday; // Previous Requested Day
	$nday; // Next Requested Day
	$skip=0; // True if day is skipped 
	$cday = $arr[$fpos]; // Set Current Requested Day to First Day Requested
	$out = $days[$cday]; // Add First Requested Day to Output String
	//iterate through remaining requested days
	$cpos = $fpos + 1; // set Current Position to First Position after First Requested Day
	while($cpos <= $lpos){ // while Current Position is less than or equal to the Last Position
	    //echo $arr[$cpos];	
		if(($cpos + 1) <= $lpos){ // if there is another requested day after the current day set next position
			$ppos = $cpos - 1; // set previous position
			$npos = $cpos + 1; // set next position
			$pday = $arr[$ppos]; // set previous day
			$cday = $arr[$cpos]; // set current day
			$nday = $arr[$npos]; // set next day
			if(($cday - $pday) > 1){
				//echo "Entering First If<br>";
				$out .= $days[8] . $days[9] . $days[$cday];	
			}
			if((($cday - $pday) == 1) && (($nday - $cday) > 1)){
				//echo "Entering If(2) <br>";
				if($skip == 1){
					$out .= $days[7] . $days[$cday];
					$skip = 0;
				}
				else{
					//echo "Entering Else";
					$out .= $days[8] . $days[$cday];
				}
			}
			if((($cday - $pday) == 1) && (($nday - $cday) == 1)){
				//echo "Entering If(3) <br>";
				$skip=1;
			}
			$cpos +=1;
		}// End if
		else{
			if($skip == 1){
				$out .= $days[7] . $days[$arr[$lpos]];
				$skip = 0;
				$cpos += 1;
			}else
			{
				$out .= $days[8] . $days[9] . $days[$arr[$lpos]];
				$cpos += 1;	
			}
		}
	}// End Main While Loop
	if($out === "Sun-Sat")
		$out = "Everyday";
	return  $out; // Return Constructed String
}//End buildStr()
/*****************************************/

if ( ! function_exists('format_day_range')){
	function format_day_range($in){
		
		$req = array(); // Parsed Array of Requested Days
$ostr = ""; //Output String

$dow = array();
$dow[0] = "Sun";
$dow[1] = "Mon";
$dow[2] = "Tues";
$dow[3] = "Wed";
$dow[4] = "Thurs";
$dow[5] = "Fri";
$dow[6] = "Sat";
$dow[7] = "-";
$dow[8] = ",";
$dow[9] = " ";
		
		
		return build_str(form_str($in), $dow, $ostr);
	}	
}
	

/************* Start Andrews Code *******************
	function format_day_range($string)
	{
	
	echo $string . "<br >" ; ;
	
	$return_string = '' ; 
	$n = 0 ; 
	
	$array = explode (',' ,$string) ;
	
	asort($array) ; 
	
	$last_day = end($array) ; 
	$count = count($array) ;
	
	foreach ($array as $day)
		{
 			
			$n++ ;
			
			//if ($stored_previous_day + 1 == $day) { continue;   } else { $return_string .= day_number_to_day($day) ; }
			
			//
			
			
			//if (in_array($day+1 , $array )) { continue;   } 
			
			//elseif { $return_string .= day_number_to_day($day) ; }
			
			//else { $return_string .= day_number_to_day($day) ; }
			
						
			$stored_previous_day = $day ; 
			
			//echo day_number_to_day($day) ; 
			
			
			//$return_string = 
			
			//bool in_array ( mixed $needle , array $haystack [, bool $strict ] )

			
			
			
			//$return_string .= day_number_to_day($day) ;
			
			if (!in_array($day+1 , $array ))
				{ $return_string .= day_number_to_day($day) ; }	
			
			elseif (in_array($day-1 , $array ))
				{ $return_string .= '-' ; continue;   } else { $return_string .= day_number_to_day($day) ; continue ;  }
				
			
			
			if ($n < $count) { $return_string .= ', ' ;  }

			
			
		}

	
	
	echo $return_string ; 
	
	

	}
}


function day_number_to_day($day) {
	
	
	
	switch ($day)  
			{
				
				
			case 0:
				 $day_of_week = 'Sun' ;
				break;
			
			case 1:
				$day_of_week = 'Mon' ;
				break;
			
			case 2:
				$day_of_week = 'Tues' ;
				break;
			
			case 3:
				$day_of_week = 'Wed' ;
				break;
			
			case 4:
				$day_of_week = 'Thurs' ;
				break;
			
			case 5:
				$day_of_week = 'Fri' ;
				break;
			
			case 6:
				$day_of_week = 'Sat' ;
				break;	
					
				}	
	
	return $day_of_week ; 
}
************* End Andrews Code **********************/

?><?
// ------------------------------------------------------------------------
/* End of file MY_format_day_range.php */
/* Location: ./system/application/helpers/MY_format_day_range.php */ ?>
