<?php
/**
 * Model that handles logging
 **/
class Log_model extends MY_Model {
     /**
      * Model Fields
      **/
     
     var $log_id;
     var $user_id;
     var $category;
     var $action;
     var $label;
     var $value;
     var $description;
     var $data;
     var $ip_address;
     //protected $data;
     
     public $ip_filter = array();

     /**
      * Default Constructor
      **/
     public function __construct() {
          parent::__construct();
     }
     
     public function logger($data, $log_to_database=TRUE){
          
             //log
             $this->log_id = NULL;
             
             //user_id
             $this->user_id = (isset($data['user_id']) && !empty($data['user_id'])) ? $data['user_id'] : 0;
             
             //category
             $this->category = (isset($data['category']) && !empty($data['category'])) ? $data['category'] : '';
             
             //action
             $this->action = (isset($data['action']) && !empty($data['action'])) ? $data['action'] : '';
             
             //label
             $this->label = (isset($data['label']) && !empty($data['label'])) ? $data['label'] : '';
             
             //value
             $this->value = (isset($data['value']) && !empty($data['value'])) ? $data['value'] : '';
             
             //description
             $this->description = (isset($data['description']) && !empty($data['description'])) ? $data['description'] : '';
             
             //data
             $this->data = (isset($data['data']) && !empty($data['data'])) ? json_encode($data['data']) : '';
             
             //other information
             $this->ip_address = $_SERVER['REMOTE_ADDR'];
             $this->date = date('Y-m-d H:i:s');

             
             if(in_array($this->ip_address, $this->ip_filter)){
                  $log_to_database = FALSE;
             }
             
             //we store the user id in the session so lets try to get it
             if($this->user_id == 0 && $this->session->userdata('user_id')){
                  $this->user_id = $this->session->userdata('user_id');;
             }

             
             if($log_to_database){
               //save it
               $this->db->insert('log', $this);
               
               //return the tracking code
               return $this->get_tracking_code($this->category, $this->action, $this->label, $this->value);
             }
             else{
                  return '';
             }

        }
        
        
        
          public function get_custom_var_code($slot, $parameter_name, $custom_value='', $scope=3){
               
               $code = "
                    _gaq.push(['_setCustomVar',
                        $slot,                
                        '$parameter_name',    
                        '$custom_value',  
                         $scope 
                    ]); 
               ";

               return $code;
          }
          
          public function get_custom_var_code_html($slot, $parameter_name, $custom_value='', $scope=3){
               
               $code = '
                   <meta name="ga_custom_var" content="'.$slot.'^'.$parameter_name.'^'.$custom_value.'^'.$scope.'" />
               ';

               return $code;
          }
          
          
          public function get_tracking_code($category, $action, $optional_label="", $optional_value=""){
               //need to preprocess the  label and value
               $optional_label = (trim($optional_label) != '') ? ", '".$optional_label."'" : '';
               $optional_value = (trim($optional_value) != '') ? ", ".$optional_value : '';
               
               //construct the tracking code
               $code = "
                   _gaq.push(['_trackEvent', '" . $category . "', '" . $action . "' $optional_label $optional_value]);     
               ";  
               
               return $code;
          }
          
          
          
          
         public function get_page_view_code($page_name){
               
               $code = '
                   <meta name="ga_vpv" content="'.trim($page_name).'" />     
               ';  
               
               return $code;
         }
         
         
         public function get_ecommerce_transaction_code($transaction_id, $store_name, $total, $tax, $shipping, $city, $state, $country){
             
             $transaction_string = "
                 _gaq.push(['_addTrans',
                    '".$transaction_id."', // transaction ID - required
                    '".$store_name."', // affiliation or store name
                    '".$total."', // total - required
                    '".$tax."', // tax
                    '".$shipping."', // shipping
                    '".$city."', // city
                    '".$state."', // state or province
                    '".$country."' // country
                    ]);
            ";
             
            return $transaction_string;
             
         }
         
         public function get_ecommerce_item_code($transaction_id, $sku, $product_name, $category, $unit_price, $quantity){
            $item_data = "
                _gaq.push(['_addItem',
                   '".$transaction_id."', // transaction ID - required
                   '".$sku."', // SKU/code - required
                   '".$product_name."', // product name
                   '".$category."', // category or variation
                   '".$unit_price."', // unit price - required
                   '".$quantity."' // quantity - required
               ]);
            ";
            
            return $item_data;
         }
         
     
     
}

