<?php
/**
* Model that represents Mridata at database
**/
class ModelMridata extends CI_Model{
	/**
	* Model Fields	
	**/
    var $id;
    var $patient_id;
    var $screening_date;
    var $phone;
    var $email;
    var $notes;
    var $json_data;

	/**
	* Default Constructor
	**/
	public function __construct(){
		parent::__construct();
	}
    /**
    * Populate model based on POST method
    **/
    public function populate(){
        $this->id = $this->input->post('id');
        $this->patient_id = $this->input->post('patient_id');
        $this->screening_date = $this->input->post('screening_date');
        $this->phone = $this->input->post('phone');
        $this->email = $this->input->post('email');
        $this->notes = $this->input->post('notes');
        $this->json_data = $this->input->post('json_data');

	}
    /**
    * Validates fields that can not be blank
    **/
	public function validate(){
        if($this->patient_id == '') return false;
        if($this->screening_date == '') return false;
        if($this->phone == '') return false;
        if($this->email == '') return false;
        if($this->notes == '') return false;
        if($this->json_data == '') return false;

        return true;
	}
    /**
    * Persist object
    **/
	public function save(){
        if($this->id){
            return $this->db->update('mridata', $this, array('id' => $this->id));
        } else {
    		return $this->db->insert('mridata', $this);
        }
	}
	/**
    * Delete object
    **/
	public function delete($id){
		return $this->db->delete('mridata', array('id' => $id));
	}
	/**
    * Return all objects
    **/
	public function all(){
		return $this->db->get('mridata')->result();
	}
    /**
    * Return object that has $id
    **/
    public function getById($id){
		return $this->db->get_where('mridata', array('id' => $id))->row();
	}
	/**
    * Return object filtered by $where
    * $where must be an array
    **/
	public function getBy($where){
		return $this->db->get_where('mridata', $where)->result();
	}
}

