{ "identifier" : "1234",
  "questions" : [ { "question" : { "id" : 1,
            "required" : true,
            "text" : "Pacemaker",
            "title" : "Screening Contraindications:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 2,
            "required" : true,
            "text" : "Cerebral Aneurysm",
            "title" : "Screening Contraindications:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 3,
            "required" : true,
            "text" : "Cochlear Implant",
            "title" : "Screening Contraindications:",
            "type" : "Boolean"
          } },
      { "question" : { "follow_up_questions" : [ { "answer" : 1,
                  "question" : { "id" : 2,
                      "required" : true,
                      "text" : "Please Explain",
                      "type" : "String"
                    }
                } ],
            "id" : 4,
            "required" : true,
            "text" : "Have you experienced any problem related to a previous MRI examination or MRI procedure?",
            "title" : "Screening Contraindications:",
            "type" : "Boolean"
          } },
      { "question" : { "follow_up_questions" : [ { "answer" : 1,
                  "question" : { "id" : 2,
                      "required" : true,
                      "text" : "Please Explain",
                      "type" : "String"
                    }
                } ],
            "id" : 5,
            "required" : true,
            "text" : "Have you had an injury to the eye involving a metallic object or fragment (e.g., metallic slivers, shavings, foreign body, etc.)?",
            "title" : "Screening Contraindications:",
            "type" : "Boolean"
          } },
      { "question" : { "follow_up_questions" : [ { "answer" : 1,
                  "question" : { "id" : 2,
                      "required" : true,
                      "text" : "Please Explain",
                      "type" : "String"
                    }
                } ],
            "id" : 6,
            "required" : true,
            "text" : "Have you ever been injured by a metallic object or foreign body (e.g., BB, bullet, shrapnel, etc.)? ",
            "title" : "Screening Contraindications:",
            "type" : "Boolean"
          } },
      { "question" : { "follow_up_questions" : [ { "answer" : 1,
                  "question" : { "id" : 2,
                      "required" : true,
                      "text" : "Please Explain",
                      "type" : "String"
                    }
                } ],
            "id" : 7,
            "required" : true,
            "text" : "Do you have a history of asthma, allergic reaction, respiratory disease, or reaction to a contrast medium or dye used for an MRI, CT, or X-ray examination? ",
            "title" : "Screening Contraindications:",
            "type" : "Boolean"
          } },
      { "question" : { "follow_up_questions" : [ { "answer" : 1,
                  "question" : { "id" : 2,
                      "required" : true,
                      "text" : "Please Explain",
                      "type" : "String"
                    }
                } ],
            "id" : 8,
            "required" : true,
            "text" : "Do you have anemia or any disease(s) that affects your blood, a history of renal (kidney) disease, or seizures?",
            "title" : "Screening Contraindications:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 9,
            "required" : false,
            "text" : "Are you pregnant or experiencing a late menstrual period? ",
            "title" : "Female Patients Only:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 10,
            "required" : false,
            "text" : "Are you currently breastfeeding?",
            "title" : "Female Patients Only:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 11,
            "instructions" : "The radiologist may deem it necessary to give you an intravenous injection of a contrast material containing gadolinium to improve the quality of your MRI examination. Although gadolinium agents have been used safely in millions of patients, minor reactions (principally headaches or nausea) occur in less than 5% of patients, and serious or life-threatening reactions have been reported in less than 1%.",
            "required" : false,
            "title" : "Gadolinium:"
          } },
      { "question" : { "id" : 12,
            "required" : true,
            "text" : "History of previous reaction",
            "title" : "Gadolinium:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 13,
            "required" : true,
            "text" : "Asthma or emphysema",
            "title" : "Gadolinium:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 14,
            "required" : true,
            "text" : "Aneurysm clip(s)",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 15,
            "required" : true,
            "text" : "Cardiac pacemaker",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 16,
            "required" : true,
            "text" : "Implanted cardioverter defibrillator (ICD)",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 17,
            "required" : true,
            "text" : "Electronic implant or device",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 18,
            "required" : true,
            "text" : "Artificial or prosthetic limb",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 19,
            "required" : true,
            "text" : "Metallic stent, filter, or coil",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 20,
            "required" : true,
            "text" : "Shunt",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 21,
            "required" : true,
            "text" : "Vascular access port/ catheter",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 22,
            "required" : true,
            "text" : "Radiation seeds or implants",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 23,
            "required" : true,
            "text" : "Swan-Ganz or thermodilution catheter",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 24,
            "required" : true,
            "text" : "Medication patch",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 25,
            "required" : true,
            "text" : "Any metallic fragment or foreign body",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 26,
            "required" : true,
            "text" : "Wire mesh implant",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 27,
            "required" : true,
            "text" : "Tissue expander",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 28,
            "required" : true,
            "text" : "Surgical staples, clips, or metallic sutures",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 29,
            "required" : true,
            "text" : "Joint replacement",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 30,
            "required" : true,
            "text" : "Bone/joint pin, screw, nail, wire, plate, etc.",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 31,
            "required" : true,
            "text" : "IUD",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 32,
            "required" : true,
            "text" : "Dentures or partials",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 33,
            "required" : true,
            "text" : "Tattoos or permanent makeup",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 34,
            "required" : true,
            "text" : "Body piercing(s)/jewelry",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 35,
            "required" : true,
            "text" : "Hearing aids",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 36,
            "required" : true,
            "text" : "Breathing problem or motion disorder",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 37,
            "required" : true,
            "text" : "Claustrophobia",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 38,
            "required" : true,
            "text" : "Other implant",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 39,
            "required" : true,
            "text" : "Electronic implant or device",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 40,
            "required" : true,
            "text" : "Magnetically activated implant or device",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 41,
            "required" : true,
            "text" : "Neuro-stimulator",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 42,
            "required" : true,
            "text" : "Spinal cord stimulator",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 44,
            "required" : true,
            "text" : "Internal electrodes or wires",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 44,
            "required" : true,
            "text" : "Bone growth/bone fusion stimulator",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 45,
            "required" : true,
            "text" : "Cochlear/ear implant",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 46,
            "required" : true,
            "text" : "Insulin or infusion pump",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } },
      { "question" : { "id" : 47,
            "required" : true,
            "text" : "Any type of prosthesis (eye, penile, etc.)",
            "title" : "Please indicate if you have any of the following:",
            "type" : "Boolean"
          } }
    ]
}